Results 1 to 4 of 4

Thread: Please HELP: how to modify a TOLERANCE entity

  1. #1
    Member
    Join Date
    2004-02
    Posts
    17
    Login to Give a bone
    0

    Default Please HELP: how to modify a TOLERANCE entity

    Hello again, I got a new challenge for you great AutoLISP experts:

    You know that if you 'Left-click' on a TOLERANCE entity in an AutoCAD drawing the TOLERANCE windows appears and you can modify the previous inserted data.

    How can I do this from inside an AutoLISP routine (supposed I know the name of the TOLERANCE entity and without asking to manually select the TOLERANCE from the drawing)?

    Thanks a lot...again!

    Still Alberto, still working hard!

  2. #2
    AUGI Addict fixo's Avatar
    Join Date
    2005-05
    Location
    Pietari, Venäjä
    Posts
    1,269
    Login to Give a bone
    0

    Default Re: Please HELP: how to modify a TOLERANCE entity

    Hi,

    Maybe this will help you:

    (setq tol (car (entsel "\nSelect tolerance entity\n")))
    ;;;or:
    ;;;(setq tol (entlast)) if you create this before with command
    (initdia)
    (command "._ddedit" tol "" pause)

    Thank you

  3. #3
    Member
    Join Date
    2004-02
    Posts
    17
    Login to Give a bone
    0

    Default Re: Please HELP: how to modify a TOLERANCE entity

    It's exactly what I was looking for!

    Thanks a lot to FIXO and to this great community!

  4. #4
    AUGI Addict fixo's Avatar
    Join Date
    2005-05
    Location
    Pietari, Venäjä
    Posts
    1,269
    Login to Give a bone
    0

    Default Re: Please HELP: how to modify a TOLERANCE entity

    Glad to help you

    Thanks

Similar Threads

  1. Replies: 1
    Last Post: 2010-02-23, 02:57 PM
  2. Modify Floors > Modify Sub Elements
    By diesellam in forum Revit Architecture - General
    Replies: 3
    Last Post: 2010-02-23, 01:53 PM
  3. Tolerance from Keyboard
    By kevinthenerd in forum AutoCAD General
    Replies: 1
    Last Post: 2009-02-25, 09:16 PM
  4. Proxy Entity Code 310 to Normal Entity
    By KevinBarnett in forum AutoCAD General
    Replies: 2
    Last Post: 2005-05-26, 07:21 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •